# Generated from ruby-mailchecker-6.0.11.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby-mailchecker

Name: rubygem-%{gem_name}
Version: 6.0.11
Release: 1%{?dist}
Summary: Temporary (disposable/throwaway) email detection library. Covers 1979 fake email providers
License: MIT
URL: https://github.com/FGRibreau/mailchecker
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.8
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
Cross-language temporary (disposable/throwaway) email detection library.
Covers 1979 fake email providers. http://twitter.com/FGRibreau.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/platform
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Oct 02 2024 mockbuilder - 6.0.11-1
- Initial package
